# Welcome to the HACKER CHALLENGE

## Building and packaging the challenge

The host can be without SGX support.
To build and package the challenge you will need the docker environment.
Do the following steps to build the challenge:

```bash
# Notice that there is no SGX device mounted
docker run --rm -it -v /path/to/rewrite:/root/rewrite occlum/occlum:latest-ubuntu20.04
# Inside the docker container do env preparation to build the image
rustup install stable-x86_64-unknown-linux-gnu
rustup default stable
rustup target add x86_64-unknown-linux-musl

cd /root/rewrite && ./scripts/package.sh
# Feel free to exit the container once the challenge was packaged
exit
```

## Testing the challenge

To test the challenge you will need the SGX support.

## Contributing to the challenge

Don't forget to run `cargo clippy` and `cargo fmt` before submitting a PR.